<?xml version="1.0" encoding="utf-8"?>
<FrameLayout android:id="@id/widgetLayout" android:descendantFocusability="beforeDescendants" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <RelativeLayout android:layout_gravity="center_vertical" android:id="@id/rl_widget_content" android:background="@android:color/white" android:layout_width="fill_parent" android:layout_height="75.0dip">
        <ImageView android:id="@id/iv_weather_icon" android:layout_width="42.0dip" android:layout_height="42.0dip" android:layout_marginTop="16.0dip" android:scaleType="fitXY" android:layout_centerHorizontal="true" />
        <RelativeLayout android:id="@id/rl_widget_update" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="6.0dip" android:layout_marginRight="12.0dip" android:layout_alignParentRight="true">
            <TextView android:textSize="12.0dip" android:textColor="#80666666" android:gravity="center_vertical" android:id="@id/tv_update_time" android:layout_width="wrap_content" android:layout_height="wrap_content" android:includeFontPadding="false" android:layout_centerVertical="true" />
            <RelativeLayout android:id="@id/rl_refersh" android:layout_width="12.0dip" android:layout_height="12.0dip" android:layout_marginLeft="5.0dip" android:layout_toRightOf="@id/tv_update_time" android:layout_centerVertical="true" />
        </RelativeLayout>
        <RelativeLayout android:id="@id/rl_widget_city" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="12.0dip" android:layout_marginTop="6.0dip" android:layout_toLeftOf="@id/rl_widget_update">
            <ImageView android:id="@id/iv_city_icon" android:layout_width="12.0dip" android:layout_height="12.0dip" android:layout_marginRight="5.0dip" android:src="@drawable/widget_local_icon_black" android:layout_centerVertical="true" />
            <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:ellipsize="end" android:gravity="center_vertical" android:id="@id/tv_city_name" android:layout_width="fill_parent" android:layout_height="wrap_content" android:maxLines="1" android:singleLine="true" android:includeFontPadding="false" android:layout_toRightOf="@id/iv_city_icon" />
        </RelativeLayout>
        <TextView android:textSize="12.0dip" android:textColor="#80666666" android:id="@id/tv_week" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="10.0dip" android:layout_marginRight="12.0dip" android:layout_marginBottom="6.0dip" android:includeFontPadding="false" android:layout_alignParentRight="true" android:layout_alignParentBottom="true" />
        <TextClock android:textSize="12.0dip" android:textColor="#80666666" android:id="@id/tv_month" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginBottom="6.0dip" android:includeFontPadding="false" android:layout_toLeftOf="@id/tv_week" android:layout_alignParentBottom="true" android:format12Hour="MM/dd" android:format24Hour="MM/dd" />
        <RelativeLayout android:id="@id/rl_short_weather" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="12.0dip" android:layout_marginBottom="6.0dip" android:layout_toLeftOf="@id/tv_month" android:layout_alignParentBottom="true">
            <TextView android:textSize="12.0dip" android:textColor="#ff666666" android:ellipsize="end" android:gravity="center_vertical" android:id="@id/tv_short_weather" android:layout_width="fill_parent" android:layout_height="wrap_content" android:maxLines="1" android:singleLine="true" android:includeFontPadding="false" android:layout_centerVertical="true" />
        </RelativeLayout>
        <TextClock android:textSize="24.0dip" android:textColor="#ff666666" android:id="@id/tc_widget_time" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginRight="16.0dip" android:includeFontPadding="false" android:layout_alignParentRight="true" android:layout_centerVertical="true" android:format12Hour="hh:mm" android:format24Hour="kk:mm" />
        <RelativeLayout android:id="@id/rl_weather" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="12.0dip" android:layout_centerVertical="true">
            <TextView android:textSize="24.0dip" android:textColor="#ff666666" android:id="@id/tv_temp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:includeFontPadding="false" />
            <TextView android:textSize="18.0dip" android:textColor="#ff666666" android:id="@id/tv_weather_des" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="5.0dip" android:includeFontPadding="false" android:layout_toRightOf="@id/tv_temp" android:layout_centerVertical="true" />
        </RelativeLayout>
        <include android:id="@id/il_first_white" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="75.0dip" layout="@layout/widget4x1_view_first_white" />
    </RelativeLayout>
</FrameLayout>